## org.eclipse.emf.mapping.util
Class MappingSwitch<T>

    java.lang.Object
      org.eclipse.emf.mapping.util.MappingSwitch<T>

    public class MappingSwitch<T>

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `MappingPackage`

Field Summary
`protected static MappingPackage` `modelPackage` The cached model package

Constructor Summary
`MappingSwitch()` Creates an instance of the switch

Method Summary
`T` `caseComplexTypeConverter(ComplexTypeConverter object)` Returns the result of interpreting the object as an instance of 'Complex Type Converter'
`T` `caseFunctionNamePair(FunctionNamePair object)` Returns the result of interpreting the object as an instance of 'Function Name Pair'
`T` `caseFunctionPair(FunctionPair object)` Returns the result of interpreting the object as an instance of 'Function Pair'
`T` `caseMapping(Mapping object)` Returns the result of interpreting the object as an instance of 'Mapping'
`T` `caseMappingHelper(MappingHelper object)` Returns the result of interpreting the object as an instance of 'Helper'
`T` `caseMappingRoot(MappingRoot object)` Returns the result of interpreting the object as an instance of 'Root'
`T` `caseMappingStrategy(MappingStrategy object)` Returns the result of interpreting the object as an instance of 'Strategy'
`T` `caseTypeConverter(TypeConverter object)` Returns the result of interpreting the object as an instance of 'Type Converter'
`T` `defaultCase(EObject object)` Returns the result of interpreting the object as an instance of 'EObject'
`protected T` `doSwitch(EClass theEClass, EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`T` `doSwitch(EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`protected T` `doSwitch(int classifierID, EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static MappingPackage modelPackage

  The cached model package

Constructor Detail

### MappingSwitch

    public MappingSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public T doSwitch(EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected T doSwitch(EClass theEClass,
                         EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected T doSwitch(int classifierID,
                         EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseMappingHelper

    public T caseMappingHelper(MappingHelper object)

  Returns the result of interpreting the object as an instance of 'Helper'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Helper'.
  See Also:
    `doSwitch(EObject)`

### caseMapping

    public T caseMapping(Mapping object)

  Returns the result of interpreting the object as an instance of 'Mapping'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Mapping'.
  See Also:
    `doSwitch(EObject)`

### caseTypeConverter

    public T caseTypeConverter(TypeConverter object)

  Returns the result of interpreting the object as an instance of 'Type Converter'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Type Converter'.
  See Also:
    `doSwitch(EObject)`

### caseFunctionPair

    public T caseFunctionPair(FunctionPair object)

  Returns the result of interpreting the object as an instance of 'Function Pair'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Function Pair'.
  See Also:
    `doSwitch(EObject)`

### caseFunctionNamePair

    public T caseFunctionNamePair(FunctionNamePair object)

  Returns the result of interpreting the object as an instance of 'Function Name Pair'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Function Name Pair'.
  See Also:
    `doSwitch(EObject)`

### caseMappingStrategy

    public T caseMappingStrategy(MappingStrategy object)

  Returns the result of interpreting the object as an instance of 'Strategy'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Strategy'.
  See Also:
    `doSwitch(EObject)`

### caseMappingRoot

    public T caseMappingRoot(MappingRoot object)

  Returns the result of interpreting the object as an instance of 'Root'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Root'.
  See Also:
    `doSwitch(EObject)`

### caseComplexTypeConverter

    public T caseComplexTypeConverter(ComplexTypeConverter object)

  Returns the result of interpreting the object as an instance of 'Complex Type Converter'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Complex Type Converter'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public T defaultCase(EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.